Subject: Re: bug#53871: 29.0.50; Emacs freezes with new child-frame option

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Feb 2022 20:55:55 +0200

> Date: Tue, 8 Feb 2022 19:23:21 +0100
> Cc: [email-masked], [email-masked]
> From: martin rudalics <[email-masked]>
> 
>  > Martin, any ideas?  I can show the backtrace from the freeze, if that
>  > helps.
> 
> No ideas.  I also observed that the scroll bar in the main frame must be
> involved.  Mouse-wheel scrolling doesn't freeze it here either.  So we
> seem to have two competing windows - the scroll bar window and the child
> frame window - which we would have to disentangle somehow.

How come we don't see something similar in any other code that creates
child frames?  Scrolling via the scroll bars is possible while some
Lisp creates child frames not necessarily in this context.  Are our
frame creation so fragile that it doesn't tolerate scroll bars in
parallel with frame creation?